# Ipe Attributes

Attributes for Ipe objects. More...

## Classes

- class IpeDashStyle
    An absolute dash style. More...
- class IpeStrokeStyle
    Encapsulates line join, line cap, and eofill vs windfill rule. More...
- class IpeAttribute
    An attribute of an Ipe object. More...
- class IpeColor
    An absolute RGB color. More...
- class IpeRepository
    Repository of attribute values. More...
- class IpeAllAttributes
    Collection of all object attributes. More...

## Typedefs

- typedef IpeAttribute::TKind IpeKind
- typedef std::vector< IpeAttribute > IpeAttributeSeq

## Detailed Description

Attributes for Ipe objects.

To make the representation of IpeObjects reasonably compact, Ipe objects store attribute values as an index into an IpeRepository. IpeAttribute encapsulates this index.

## Typedef Documentation

IpeKind

Shortcut for IpeAttribute::TKind.

IpeAttributeSeq

A sequence of attribute values.